Subject: Re: bug#28791: 27.0.50; Recursive delete in dired does not work

From: Göktuğ Kayaalp <[email-masked]>
Date: Thu, 12 Oct 2017 03:27:26 +0300

On 2017-10-12 03:20 +03, Göktuğ Kayaalp <[email-masked]> wrote:
> Deleting a directory in dired results in the following error (after
> answering yes the two usual prompts):
>
>   (file-error Non-regular file Is a directory <the path>)

Whoops, please close this, it's to do with my config.  Sorry.

> In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
>  of 2017-10-08 built on alpha
> Repository revision: 9b3ce6252115980802adaa562af575bcd73a2c55
> Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
> System Description:	Ubuntu 17.04
>
> Recent messages:
> Omitting...
> (Nothing to omit)
> Mark saved where search started
> Note: file is write protected
> Mark saved where search started
> Trashing...
> (file-error Non-regular file Is a directory /igk/News)
>
> Mark set
> Quit
>
> Configured using:
>  'configure --prefix=/home/g/local --with-x-toolkit=gtk3 --with-modules
>  --with-file-notification=yes --without-threads --with-gameuser=no
>  --with-mailutils'
>
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
> ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
> TOOLKIT_SCROLL_BARS GTK3 X11 MODULES LCMS2
>
> Important settings:
>   value of $LC_MESSAGES: en_GB.UTF-8
>   value of $LC_MONETARY: tr_TR.UTF-8
>   value of $LC_NUMERIC: tr_TR.UTF-8
>   value of $LC_TIME: tr_TR.UTF-8
>   value of $LANG: en_GB.UTF-8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
>
> Major mode: Messages
>
> Minor modes in effect:
>   diff-auto-refine-mode: t
>   auto-image-file-mode: t
>   show-paren-mode: t
>   winner-mode: t
>   global-whitespace-mode: t
>   save-place-mode: t
>   persistent-scratch-autosave-mode: t
>   pixel-scroll-mode: t
>   global-paren-face-mode: t
>   eval-sexp-fu-flash-mode: t
>   auto-insert-mode: t
>   global-gk-minor-mode: t
>   gk-minor-mode: t
>   global-undo-tree-mode: t
>   undo-tree-mode: t
>   gk-utf8-entry-mode: t
>   shell-dirtrack-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   electric-quote-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   buffer-read-only: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Load-path shadows:
> /home/g/co/emacs.d/gk/gk-unilat hides /home/g/co/elisp/gk-unilat
> /home/g/co/emacs.d/lisp/bsdpkg hides /home/g/co/elisp/bsdpkg
> /home/g/co/emacs.d/gk/gk-greek hides /home/g/co/elisp/gk-greek
>
> Features:
> (shadow emacsbug conf-mode sh-script executable org-eldoc org-rmail
> org-mhe org-irc org-info org-gnus org-docview org-bibtex bibtex org-bbdb
> org-w3m eieio-opt speedbar sb-image ezimage dframe help-fns radix-tree
> vc-git diff-mode dired-aux vc-filewise mailalias nnir info sort smiley
> gnus-cite mail-extr nndoc gnus-bcklg gnus-async misearch multi-isearch
> qp gnus-ml gnus-topic cursor-sensor pop3 nndraft nnmh cl-extra epa-file
> network-stream starttls nnfolder nnml gnus-agent gnus-srvr gnus-score
> score-mode nnvirtual nntp gnus-cache image-file paren disp-table init
> server gk bsdpkg pass-listing password-store thinks boxquote gk-www
> gk-feeds gk-urls elfeed-show elfeed-search elfeed-csv elfeed elfeed-curl
> elfeed-log elfeed-db elfeed-lib xml-query gk-ui desktop frameset time
> ido winner mono-theme whitespace saveplace goto-addr apropos gk-system
> man gk-multimedia gk-langenvs gk-turkish gk-ibuffer ibuffer-vc ibuf-ext
> ibuffer ibuffer-loaddefs gk-globals elec-pair persistent-scratch
> tramp-cache forecast solar cal-dst pixel-scroll which-key smooth-scroll
> paren-face gk-keys multiple-cursors mc-hide-unmatched-lines-mode
> mc-separate-operations rectangular-region-mode mc-mark-pop mc-mark-more
> mc-cycle-cursors mc-edit-lines multiple-cursors-core goto-last-change
> gk-programming inf-ruby ruby-mode smie js sgml-mode json map cc-mode
> cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
> cc-defs slime-quicklisp slime-xref-browser tree-widget slime-tramp tramp
> tramp-compat tramp-loaddefs trampver slime-banner slime-asdf grep
> slime-mrepl inferior-slime slime-fancy slime-trace-dialog
> slime-fontifying-fu slime-package-fu slime-references
> slime-compiler-notes-tree slime-scratch slime-presentations bridge
> slime-mdot-fu slime-enclosing-context slime-fuzzy slime-fancy-trace
> slime-fancy-inspector slime-c-p-c slime-editing-commands slime-autodoc
> slime-repl slime-parse slime arc-mode archive-mode hyperspec scheme
> gk-outline eval-sexp-fu highlight inf-lisp highlight-parentheses paredit
> gk-org org-caldav icalendar diary-lib diary-loaddefs org-id url-dav
> url-http url-auth url-gw nsm url-handlers org-capture autoinsert
> ob-shell gk-vc vc-rcs vc-cvs vc vc-dispatcher log-edit pcvs-util add-log
> ox-groff subr-x ox-beamer ox-odt rng-loc rng-uri rng-parse rng-match
> rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util
> ox-latex ox-icalendar ox-html table ox-ascii ox-publish ox org-eww
> org-protocol org-mobile org-agenda gk-org-cite gk-fonts gk-alist gk-mail
> rx spam spam-stat gnus-uu yenc gnus-msg gnus-art mm-uu mml2015 mm-view
> mml-smime smime dig gnus-sum gnus-group gnus-undo gnus-start gnus-cloud
> nnimap nnmail tls gnutls utf7 nnoo parse-time gnus-spec gnus-int
> gnus-range gnus-win mail-source smtpmail sendmail netrc message rmc
> rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> gmm-utils mailheader gk-utils whole-line-or-region etags xref project f
> s ucs-normalize epa-mail epa derived epg epg-config bbdb-vcard bbdb-com
> crm mailabbrev vcard bbdb bbdb-site timezone gk-lingua gk-minor-mode
> gk-evil evil evil-integration undo-tree diff evil-maps evil-commands
> flyspell evil-jumps evil-command-window evil-types evil-search evil-ex
> evil-macros evil-repeat evil-states evil-core evil-common windmove
> thingatpt evil-digraphs evil-vars edmacro kmacro ace-jump-mode
> face-remap gk-file gk-mac gk-text zencoding-mode cl copyright ispell
> lorem-ipsum gk-utf8 gk-input-methods gk-unilat gk-syriac gk-greek
> gk-armenian quail help-mode gk-global-modes eww puny mm-url gnus
> nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
> mail-utils mm-util mail-prsvr url-queue url url-proxy url-privacy
> url-expand url-methods url-history url-cookie url-domsuf url-util
> url-parse auth-source password-cache url-vars mailcap shr svg xml seq
> dom browse-url diminish gk-edit rect gk-documents pdf-sync pdf-annot
> tablist tablist-filter semantic/wisent/comp semantic/wisent
> semantic/wisent/wisent semantic/util-modes semantic/util semantic
> semantic/tag semantic/lex semantic/fw eieio byte-opt bytecomp
> byte-compile cconv eieio-core cl-macs eieio-loaddefs mode-local cedet
> org-element avl-tree generator org org-macro org-footnote org-pcomplete
> org-list org-faces org-entities org-version ob-emacs-lisp ob ob-tangle
> org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint ob-core ob-eval
> org-compat org-macs org-loaddefs find-func cal-menu calendar
> cal-loaddefs pdf-outline pdf-links noutline outline easy-mmode
> pdf-isearch let-alist pdf-misc imenu pdf-tools compile cus-edit
> cus-start cus-load wid-edit pdf-view bookmark pp pdf-cache pdf-info tq
> pdf-util advice doc-view jka-compr gk-dired dired-subtree
> dired-hacks-utils dash ls-lisp wdired image-dired image-mode format-spec
> dired-x easymenu dired dired-loaddefs gk-crypt gk-comint shell pcomplete
> comint ansi-color ring gk-backups cl-seq cl-loaddefs cl-lib gv time-date
> mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
> lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
> dnd fontset image regexp-opt fringe tabulated-list replace newcomment
> text-mode elisp-mode lisp-mode prog-mode register page menu-bar
> rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
> syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
> ethiopic indian cyrillic chinese composite charscript charprop
> case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
> cl-preloaded nadvice loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote dbusbind inotify lcms2
> dynamic-setting system-font-setting font-render-setting move-toolbar gtk
> x-toolkit x multi-tty make-network-process emacs)
>
> Memory information:
> ((conses 16 656137 85437)
>  (symbols 48 65174 1)
>  (miscs 40 2136 1965)
>  (strings 32 178550 10674)
>  (string-bytes 1 5622372)
>  (vectors 16 103796)
>  (vector-slots 8 2269627 183040)
>  (floats 8 876 1138)
>  (intervals 56 5509 115)
>  (buffers 992 85))

-- 
İ. Göktuğ Kayaalp	<http://www.gkayaalp.com/>
			024C 30DD 597D 142B 49AC
			40EB 465C D949 B101 2427